[Stable Update] 2021-05-06 - Kernels, Mesa, VirtualBox, LxQt 0.17, Deepin, Gnome Apps 40.1

Hello community,

Today we have another update on our stable branch for you.

  • Most of our Kernels are updated. and kernel 5.9 kernel** series was now REMOVED !
  • LxQt 0.17.0 gives you some nice enhancements
  • Most Gnome packages got updated to 40.1. Note: we still ship 3.38 shell
  • VirtualBox got updated to 6.1.22
  • More Deepin updates
  • Other regular upstream updates including python and haskell

Get our latest daily developer images from Github: Plasma, Gnome, XFCE.
Our latest stable releases can be downloaded from CDN77.


Our current supported kernels

  • linux44 4.4.268
  • linux49 4.9.268
  • linux414 4.14.232
  • linux419 4.19.189
  • linux54 5.4.116
  • linux510 5.10.34
  • linux511 5.11.18
  • linux512 5.12.1
  • linux54-rt 5.4.106_rt54
  • linux59-rt 5.9.1_rt19

Packages Changes (Thu May 6 12:36:08 CEST 2021)

  • stable community x86_64: 642 new and 627 removed package(s)
  • stable core x86_64: 26 new and 28 removed package(s)
  • stable extra x86_64: 321 new and 344 removed package(s)
  • stable kde-unstable x86_64: 207 new and 207 removed package(s)
  • stable multilib x86_64: 12 new and 12 removed package(s)

A detailed list of all package changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

21 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


New issues:

  • OS prober does not run and add other operating systems

    Please click the ► at the beginning of this line to view this solution

    To restore, please execute: echo GRUB_DISABLE_OS_PROBER=false|sudo tee -a /etc/default/grub && sudo update-grub

    For more information, see opening post in [Stable Update] 2021-03-08.

Recent Arch Linux news:

PHP 8.0 and PHP 7 legacy packages are available

PHP 8.0 and PHP 7 legacy packages are available

2021-01-28 - Pierre Schmitz

The php package has been updated to version 8.0. Please refer to the upstream migration guide. As some applications are not compatible with PHP 8 yet we provide a php7 package which can be installed alongside version 8. Packages that depend on PHP reflect this update and will require php7 if needed. You might need to update your configuration accordingly. PHP 7 binaries and configuration have the “7” suffix:

  • /usr/bin/php → /usr/bin/php7
  • /etc/php → /etc/php7
  • /usr/bin/php-fpm → /usr/bin/php-fpm7
  • /usr/lib/systemd/system/php-fpm.service → /usr/lib/systemd/system/php-fpm7.service
  • /run/php-fpm → /run/php-fpm7

We also provide third party modules compiled for PHP 7:

Note that support for php7 will be limited and likely be dropped in about a year depending on how soon the majority of applications will be compatible with version 8.

https://archlinux.org/news/php-80-and-php-7-legacy-packages-are-available/

Chromium losing Sync support in early March

Chromium losing Sync support in early March

2021-02-03 - Evangelos Foutras

Google has announced that they are going to block everything but Chrome from accessing certain Google features (like Chrome sync) starting on March 15. This decision by Google is going to affect Arch’s chromium package a bit earlier, on March 2, when Chromium 89 gets released.

We know for sure that data syncing will stop working (passwords, bookmarks, etc.). Other features such as geolocation or enhanced spell check might continue to function for a bit longer. Extensions integrating with Google Drive might misbehave and LibreOffice will lose access to documents stored there.

Other distros such as openSUSE and Fedora have already removed the soon-to-be-limited API keys from their Chromium 88 packages. Fedora’s advisory provides a great deal of perspective on this and I also found this Hackaday post to be quite informative.

https://archlinux.org/news/chromium-losing-sync-support-in-early-march/


Older Issues

Nvidia card owners

  • We simplified nVidia driver installation. This means we dropped legacy drivers.
    • We recommend to switch over to Nouveau drivers if your card is mentioned here and the feature you need is not in red TO DO here for your particular card.

    • If you however still need proprietary drivers, you may want to execute the following to ensure all parts of the nVidia drivers get installed properly:

      sudo mhwd -a pci nonfree 0300
      
      If proprietary drivers don't fix everything, please click the ► at the beginning of this line to view more info
      1. try installing kernel 5.4 LTS (Long Term Support)
      2. If that doesn’t fix it, take a full system backup, go to a console using Ctrl+Alt+F2 and:
      • Backup /etc/X11/mhwd.d/nvidia.conf if you ever edited that manually

      • remove all nVidia related drivers and applications:

        pacman --remove nvidia*
        
      • Note which applications are being removed and keep them handy in a list

      • Install the driver first:

        mhwd --install video-hybrid-XXX-nvidia-prime
        

        (Where XXX is amd or intel if you have hybrid graphics or the whole thing is video-nvidia if you’re on an nVidia-only system)

      • reboot and see if you at least get a screen.

      • Install all the other applications from your handy list that you still need one by one.

      • Restore /etc/X11/mhwd.d/nvidia.conf if you ever edited that manually

      • If that wouldn’t solve the issue open a new issue here referring to this update and posting at a minimum the full output of:

        inxi --admin --verbosity=7 --filter --no-host --width
        

      If you however still have issues with your Nvidia card, you may open a new thread in our forum: https://forum.manjaro.org/c/support/Graphic-Cards/33 or look at our tutorial on compiling old Nvidia drivers.

For AMD GPU users having a black screen with kernel 5.10

Please click the ► at the beginning of this line to view more info

Due to a bug in the AMD drivers, please try the following first:

For GRUB:

  1. Open a terminal or a TTY
  2. Open /etc/default/grub in your favourite CLI editor (nano vi, emacs`)
  3. Find the line: GRUB_CMDLINE_LINUX_DEFAULT="
  4. Add amdgpu.dc=0
  5. Save
  6. Execute sudo update-grub and reboot

For systemd-boot:

  1. Open a terminal or a TTY
  2. Open /boot/loader/entries/manjarolinux5.10.conf in your favourite CLI editor (nano vi, emacs`)
  3. Add amdgpu.dc=0 to the end of the line options
  4. Save & reboot

For rEFInd:

  1. Open a terminal or a TTY
  2. Open /boot/refind_linux.conf in your favourite CLI editor (nano vi, emacs`)
  3. Find the line: "Boot using default options" "root=
  4. Add amdgpu.dc=0
  5. Save & reboot

Possible 2 Min delay on shutdown with Gnome

Please click the ► at the beginning of this line to view more info
  • If you got the problem with shutdown delay (about 2min) on Gnome, here is a workaround:
    • Edit /usr/lib/systemd/user/gnome-session-restart-dbus.service in your favourite editor as root and add Slice=-.slice as a line all by itself like this:

      [Service]
      Type=notify
      Slice=-.slice
      ExecStart=/usr/lib/gnome-session-ctl --restart-dbus
      
    • Click this link For more information

Touchpad on a ThinkPad stops working

  • Restart again, please.

You get [PKGNAME] warning: directory permissions differ on [Directory name]

followed by:

Filesystem: NNN package MMM

Please click the ► at the beginning of this line to view this solution
  • The solution:

    sudo chmod MMM DirectoryName
    

Where obviously MMM is the second number you see (the correct one)

  • The explanation:
    Your package expects the security permissions to be MMM but your system is set to NNN. This is just a warning (today) but to ensure you remain up-to-date with the latest and greatest security rules it’s advised to execute the above command.

Systemd error message: .slice: Failed to migrate controller cgroups

If you have a similar error message like this:

systemd[1004]: -.slice: Failed to migrate controller cgroups from /user.slice/user-1000.slice/user@1000.service, ignoring: Permission denied

… you may need to add this Grub parameter to your /etc/default/grub file in line GRUB_CMDLINE_LINUX_DEFAULT: systemd.unified_cgroup_hierarchy=true. To update your grub menu, call: sudo update-grub. For more information on that issue, see also Arch Forum.


Python 3.9 Requires Rebuilds

Instructions for quickly and easily rebuilding affected AUR packages:

# Install yay
sudo pacman -S --needed --noconfirm yay

# Rebuild AUR python packages
yay -S --noconfirm $(pacman -Qqo "/usr/lib/python3.8/site-packages")

libtraceevent>=5.9-1 update requires manual intervention

2020-10-23 - Sébastien Luttringer

The libtraceevent package prior to version 5.9-1 was missing a soname link. This has been fixed in 5.9-1, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

libtraceevent: /usr/lib/libtraceevent.so.1 exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/libtraceevent.so.1

to perform the upgrade.

https://www.archlinux.org/news/libtraceevent59-1-update-requires-manual-intervention/

OpenVPN connection times out.

Workaround: donwgrade openvpn (2.5.0-1 => 2.4.9-2).
For a proper solution follow this bug report on Arch Linux: FS#68480 : [openvpn] running unprivileged with iproute no longer working

PAM and PAMBASE got updated, which might prevent you from login

Due to updates from pambase and pam you might take care about any .pacnew files in /etc/pam.d as for example pam_tally, pam_tally2 and pam_cracklib got deprecated. Read in the ArchWiki about managing those files.

Typical issue:

For recovery, it is enough to boot with kernel option “systemd.unit=rescue.target”, then proceed into /etc/pam.d and merge “system-auth” and “system-auth.pacnew”

System takes a long time to boot

If you’ve got errors like Failed to start Network Manager Wait Online. you can try removing systemd from passwd and group in /etc/nsswitch.conf as described here
Update: If you can see the line
dbus-daemon[1453]: [system] Connection has not authenticated soon enough, closing it (auth_timeout=30000ms, elapsed: 45146ms)
in in your dbus log ( journalctl -b -u dbus ), the new/better workaround is to switch cups from service to socket as described here:
systemctl disable cups.service
systemctl enable cups.socket

I think I’ve some font problems

With the update of fontconfig some major rules how fonts get applied changed. Make sure that your system has ttf-dejavu installed. A more in depth explanation can be found here.

Gnome-shell-extension-pop-shell is currently incompatible with wayland

… and causes the system to freeze when the first window is tiled and can render it unbootable. Solution is a hard reset and disabling either pop shell or wayland. If the system becomes unbootable, use a live USB to edit /etc/gdm/custom.conf to disable wayland and reboot.

GDM does not start (black screen when booting gnome edition)

Log into your system via tty and depending on your use of Plymouth or bootsplash-systemd choose a option from this post

3 Likes

This is probably not the right place to ask this question, but is there a post somewhere on when Gnome 40 will be released to stable branches?

Thanks again for all the hard work you guys do, it is greatly appreciated.

2 Likes

You’re right, this isn’t the right place.

5 Likes

On Gnome version, kernel 5.10

Telegram voice messages started to crush application

2 Likes

Any chance for a minor update of yesterday’s Mesa 20.1 release?

This version has a fix for Metro Exodus

2 Likes

Probably when Arch Linux updates to it, it will get into Unstable branch fairly quick after that.

repo.manjaro.org is not updating. This means pacman-mirrors can’t find up-to-date mirrors.

4 Likes

Create a new issue in #support:applications because Telegram is working fine for me after the update…

2 Likes

Pacman gives me a warning about dependency cycles.

:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: bashrc-manjaro will be installed before its bash dependency
warning: dependency cycle detected:
warning: mesa will be installed before its libglvnd dependency
warning: dependency cycle detected:
warning: lib32-mesa will be installed before its lib32-libglvnd dependency

Something to worry about and if so, how do I best resolve it?

Cheers!

No need to worry/resolve: these are just warnings due to the order in which updates will get installed.
As long as everything finishes uninterrupted - all will be well.

4 Likes

Just a warning that a package will be installed first than other

1 Like

Thank you! (Also thank you servimo for your reply)

Update went fine :+1:

2 Likes

No problem

  • I have dualboot and os-prober was also not affected

:fireworks:

T+ = See you later

It’s now fixed.

2 Likes

fine for me, try reinstalling your application

Can confirm,looks like the Arch Linux package has a bug,it was already filled here FS#70624 : [telegram-desktop] telegram-desktop segfaults when attempting to record audio

If you use the official package from desktop.telegram.org you can record audio without problems.

1 Like

This update fixed the “blank screen before desktop” issue introduced in previous update for me - [Stable Update] 2021-04-28 - Kernels, Wine, Ruby, JDK, KDE-Dev, Mesa 21.0.3, KDE Apps 21.04, Python, Haskell, Mate 1.24.2, Virtualbox, Thunderbird - #47 by toxpal

1 Like

The update

python-decorator              4.4.2-4              5.0.7-1

breaks application spyder for me.

$ spyder                                        
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (decorator 5.0.7 (/usr/lib/python3.9/site-packages), Requirement.parse('decorator<5'), {'spyder-kernels'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/spyder", line 33, in <module>
    sys.exit(load_entry_point('spyder==5.0.0', 'gui_scripts', 'spyder')())
  File "/usr/bin/spyder", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/spyder/app/start.py", line 34, in <module>
    from spyder.utils.external import lockfile
  File "/usr/lib/python3.9/site-packages/spyder/utils/external/lockfile.py", line 31, in <module>
    from spyder.utils.programs import is_spyder_process
  File "/usr/lib/python3.9/site-packages/spyder/utils/programs.py", line 29, in <module>
    import pkg_resources
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'decorator<5' distribution was not found and is required by spyder-kernels

I’m investigating

Edit: Seems I’m screwed, see in Spyder code the comment on line 40:

Don’t know how to solve “magic” code.

I keep getting this error

error: mesa: signature from "Laurent Carlier <lordheavym@gmail.com>" is invalid
:: File /var/cache/pacman/pkg/mesa-21.0.3-3-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

How do I fix this?

1 Like